Package com.avaya.clientservices.visualvoicemail

## Interface VisualVoiceMailServiceListener

-     public interface VisualVoiceMailServiceListener

  Listener interface to be notified of status updates for visual voicemail messages.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onVisualVoiceMailServiceAvailable​(VisualVoiceMailService visualVoicemailService)` | Sent to indicate that the service is now available.
    `void` | `onVisualVoiceMailServiceCapabilitiesChanged​(VisualVoiceMailService visualVoicemailService)` | Report that visual voicemail capabilities have changed.
    `void` | `onVisualVoiceMailServiceUnavailable​(VisualVoiceMailService visualVoicemailService)` | Sent to indicate that the service is now unavailable.
    `void` | `onVisualVoiceMailServiceUnreadMessageCountChanged​(VisualVoiceMailService visualVoicemailService, int unreadMessageCount)` | Report that the number of unread voicemail messages has changed.

- - ### Method Detail

    - #### onVisualVoiceMailServiceAvailable

          void onVisualVoiceMailServiceAvailable​(VisualVoiceMailService visualVoicemailService)

      Sent to indicate that the service is now available.
      Parameters:
        `visualVoicemailService` - The service object that the callback is associated with.

    - #### onVisualVoiceMailServiceUnavailable

          void onVisualVoiceMailServiceUnavailable​(VisualVoiceMailService visualVoicemailService)

      Sent to indicate that the service is now unavailable.
      Parameters:
        `visualVoicemailService` - The service object that the callback is associated with.

    - #### onVisualVoiceMailServiceUnreadMessageCountChanged

          void onVisualVoiceMailServiceUnreadMessageCountChanged​(VisualVoiceMailService visualVoicemailService,
                                                                 int unreadMessageCount)

      Report that the number of unread voicemail messages has changed.
      Parameters:
        `visualVoicemailService` - The service object that the callback is associated with.
        `unreadMessageCount` - The new value representing the unread message count.

    - #### onVisualVoiceMailServiceCapabilitiesChanged

          void onVisualVoiceMailServiceCapabilitiesChanged​(VisualVoiceMailService visualVoicemailService)

      Report that visual voicemail capabilities have changed.
      Parameters:
        `visualVoicemailService` - The service object that the callback is associated with.